package com.yazoo.browser.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

import com.yazoo.browser.Activator;
import com.yazoo.browser.dialogs.ShowSourceDialog;
import com.yazoo.browser.editors.WebBrowser;

public class ShowSourceAction extends Action implements IWorkbenchWindowActionDelegate {
	
	public ShowSourceAction() {
        setText("Show Source");
        setToolTipText("Show Page Source");
		setImageDescriptor(Activator.getImageDescriptor("icons/text.gif")); 
    }
    
    public void run(IAction action) {
    	//BrowserView browserView = Activator.getDefault().getBrowserView();
    	WebBrowser webBrowser = Activator.getDefault().getWebBrowser();
    	
    	ShowSourceDialog dialog = new ShowSourceDialog(
				Activator.getActiveWorkbenchShell(), webBrowser.getBrowserText());
		dialog.open();
    }

    public void run() {
        run(this);
    }

    public void init(IWorkbenchWindow window) {
    }

    public void dispose() {
    }

	public void selectionChanged(IAction action, ISelection selection) {
	}
    
}

