package com.yazoo.browser.dialogs;

import org.eclipse.jface.dialogs.TitleAreaDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

/**
 * Dialog displays the contents of the SWT Browser widget.
 * 
 * @author Shawn Spiars
 *
 */
public class ShowSourceDialog extends TitleAreaDialog {
   
	private Text displayText;
	
	private String sourceText;
	
	public ShowSourceDialog(Shell shell, String sourceText) {
        super(shell);
        setShellStyle(getShellStyle() | SWT.RESIZE | SWT.MAX);
        this.sourceText = sourceText;
    }

    protected Control createDialogArea(final Composite parent) {
        setTitle("Browser Source");
        setMessage("View browser source.");
         
        final Composite composite = new Composite(parent, SWT.NONE);
		final GridLayout layout = new GridLayout(1, false);
		layout.marginTop = 2;
		layout.marginBottom = 2;
		composite.setLayout(layout);
		
		GridData data = new GridData(GridData.FILL_BOTH);
		composite.setLayoutData(data);
 	
		displayText = new Text(composite, SWT.BORDER | SWT.MULTI | SWT.H_SCROLL | SWT.V_SCROLL | SWT.READ_ONLY);
		data = new GridData(SWT.FILL, SWT.FILL, true, true);
		data.widthHint = 700;
		data.heightHint = 500;
		displayText.setLayoutData(data);
		
		if (sourceText != null) {
			displayText.setText(sourceText);
		}
		
		return composite;
    }
    
}