package com.yazoo.browser.utils;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;

import org.eclipse.core.runtime.FileLocator;
import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.Path;
import org.osgi.framework.Bundle;

import com.yazoo.browser.Activator;

/**
 * This utility class handles various file manipulation tasks.
 * 
 * @author Shawn Spiars
 *
 */
public class FileUtil {
	
	public static File getFolderInRoot(String folderName) {
		File folder = null;

		try {
			
			Bundle bundle = Activator.getDefault().getBundle();
			String pluginPath = FileLocator.resolve(bundle.getEntry("/")).getPath();
			IPath path = new Path(pluginPath);
			path = path.append(folderName);
			
			File dir = new File(path.toOSString());
			if (dir.exists() && dir.isDirectory()) {
				folder = dir;
			}
		
		} catch (IOException e) {
		}
		
		return folder;
	}
    
	public static String getFileContents(File file) {
    	StringBuffer sb = new StringBuffer();
 		
		try {
			
			FileInputStream fis = new FileInputStream(file);
			InputStreamReader streamReader = new InputStreamReader(fis);
            BufferedReader bufferReader = new BufferedReader(streamReader);
             
            String line;
            while((line = bufferReader.readLine()) != null) {
                sb.append(line);
                sb.append("\n");
            }

            bufferReader.close();
            streamReader.close();
            fis.close();
			
		} catch (IOException e) {
			e.printStackTrace();
		}

    	return sb.toString();
    }
	
}